#!/bin/sh
libver="0.31"

if grep -Fxqs $libver ./core/1fxlib/ver
then
   echo "Proper 1fxlib detected: $libver. Continuing.."
else
   echo "This version of 1fx. Mod requires 1fxlib $libver to run!"
   exit
fi

# Boe!Man 6/25/13: Set global variables.
unset LD_LIBRARY_PATH
export LD_LIBRARY_PATH=./1fx/core/1fxlib

# Run SoF2MP server w/ 1fx. Mod.
cd ..
./sof2ded +set fs_game RPM +set vm_game 0 +exec ServerConfig.cfg +set map "mp_shop" 

